{% extends 'base_admin.html' %}

{% load i18n %}
{% load static %}
{% block content %}

<!-- Begin Page Content -->
<div class="container-fluid">

  <!-- Page Heading -->
  <h1 class="h3 mb-2 text-gray-800"><a href="/">{% trans "All Partners" %}</a></h1>

  <!-- DataTales Example -->
  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">{% trans "All Partners" %}</h6>
    </div>

    <div class="card-body">
      <div class="table-responsive">
        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
          
        <!-- Displays a list of all the partners of Check-In.com and displays a Remove Button next to each -->
          <thead>
            <tr>
              <th>{% trans "Company Name" %}</th>
              <th>{% trans "Vision" %}</th>
            </tr>
          </thead>
          <tbody>

            {% for partner in partners %}
            <tr>
              <td>{{ partner.CompanyName }}</td>
              <td><a class="btn btn-sm btn-danger pull-right"
                href="{% url 'hotel_admin:removepartner' partner.id %}">{% trans "Remove" %}</a></td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <a href="{% url 'hotel_admin:home'  %}" class="btn btn-info">{% trans "Back to Dashboard" %}.</a>
</div>

{% endblock %}